Bug 146988 - C++ reload ICE.
C++ reload ICE.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gcc (Show other bugs)
4.0
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-03 08:39 EST by David Woodhouse
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: 4.0.1-4.fc4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-05 17:59:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
preprocessed source. Build with -O2. (364.18 KB, text/plain)
2005-02-03 08:40 EST, David Woodhouse
no flags Details

  None (edit)
Description David Woodhouse 2005-02-03 08:39:46 EST
When compiling lib/interaction/src/nodes/SoAntiSquish.c++ from the
Inventor-2.1.5-5.src.rpm in Fedora Extras:

SoAntiSquish.c++: In member function `SbMatrix
SoAntiSquish::getUnsquishingMatrix(SbMatrix, SbBool, SbMatrix&)':
SoAntiSquish.c++:228: error: insn does not satisfy its constraints:
(insn:HI 656 1394 657 24 (set (reg:SF 66 ctr [217])
        (reg:SF 66 ctr [251])) 254 {*movsf_hardfloat} (nil)
    (nil))
SoAntiSquish.c++:228: internal compiler error: in
reload_cse_simplify_operands, at postreload.c:391

Building with -O works, with -O2 does not.

Reproduced with FC3 3.4.2-6 and EL4 3.4.3-9.EL4 compilers
Comment 1 David Woodhouse 2005-02-03 08:40:55 EST
Created attachment 110593 [details]
preprocessed source. Build with -O2.
Comment 2 Ralf Corsepius 2005-08-02 13:04:53 EDT
(In reply to comment #1)
David, could you please try building Inventor with fc4 or rawhide and standard
RPM_OPT_FLAGS?

FWIW: My powerpc-rtems4.7-g++ (base on FSF gcc-4_0-branch 200505005) doesn't ICE
when cross-building your SoAntiSquish.ii
Comment 3 Ralf Corsepius 2005-08-03 01:19:11 EDT
Seems as if this issue has been resolved for fc4 and rawhide.

At least, building Inventor for fc4 and rawhide for the ppc with default
RPM_OPT_FLAGS (i.e. w/ -01 removed) have just succeeded:
http://buildsys.fedoraproject.org/build-status/job.psp?uid=344
http://buildsys.fedoraproject.org/build-status/job.psp?uid=346

So, I guess, this PR can be closed.

Note You need to log in before you can comment on or make changes to this bug.